MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025381Community[OCCT] OCCT:Visualizationpublic2014-10-15 16:522017-08-28 19:13
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025381: Visualization - XCAFPrs_AISObject ignores visibility flag for sub-shapes
DescriptionXCAFPrs_Style::IsVisible() is ignored within XCAFPrs_AISObject interactive object.
Steps To ReproduceCompare the results of the below DRAW script for OCCT 6.8.0 and an earlier version.

pload ALL
ReadStep D test_assembly_invisible.step
XShow D
TagsNo tags attached.
Test case numberbugs xde(005) bug25381
Attached Filespng file icon comparison_671_680.png (24,939 bytes) 2014-10-15 16:52
? file icon test_assembly_invisible.step (72,674 bytes) 2014-10-15 16:52

- Relationships
related to 0025010closedapn Open CASCADE Use AIS_ColoredShape for display of XCAF documents 

-  Notes
(0033152)
git (administrator)
2014-10-15 17:31

Branch CR25381 has been created by kgv.

SHA-1: b86aa2cf2bbe39d8a74fc03844d7fa1505ee0f24


Detailed log of new commits:

Author: kgv
Date: Wed Oct 15 17:31:31 2014 +0400

    0025381: Visualization - XCAFPrs_AISObject ignores visibility flag for sub-shapes
(0033153)
kgv (developer)
2014-10-15 17:32

Patch is ready for review in branch CR25381.
(0033254)
san (developer)
2014-10-17 13:25

branch CR25381 reviewed without remarks, ready for testing.
(0033284)
git (administrator)
2014-10-17 19:01

Branch CR25381 has been updated forcibly by mkv.

SHA-1: 5cf54cffa36a6e084ea8e6940b1c0c30fcdcec2f
(0033504)
mkv (tester)
2014-10-21 17:14

Dear BugMaster,
Branch CR25381 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 5cf54cffa36a6e084ea8e6940b1c0c30fcdcec2f

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25381-master-occt/Debian60-64/bugs/xde/bug25381.html [^]
http://occt-tests/CR25381-master-occt/Windows-32-VC10/bugs/xde/bug25381.html [^]
bugs xde(005) bug25381: OK

Testing on Linux:
occt component :
Total MEMORY difference: 368942196 / 368919864
Total CPU difference: 46891.92000000012 / 44655.71000000001
products component :
Total MEMORY difference: 126090612 / 126117980
Total CPU difference: 17222.159999999996 / 17474.989999999976

Testing on Windows:
occt component :
Total MEMORY difference: 253934664 / 252953496
Total CPU difference: 37621.21875 / 34935.15625
products component :
Total MEMORY difference: 83076448 / 70288428
Total CPU difference: 11210.03125 / 11337.96875

There are no differences in images found by testdiff.
(0033505)
git (administrator)
2014-10-21 17:16

Branch CR25381 has been updated by mkv.

SHA-1: 6e4d00b2ece61fcb9b201a0fe3ed634d7544b5d2


Detailed log of new commits:

Author: mkv
Date: Tue Oct 21 17:13:18 2014 +0400

    Test case for issue CR25381

(0034269)
git (administrator)
2014-11-12 09:03

Branch CR25381 has been deleted by kgv.

SHA-1: 6e4d00b2ece61fcb9b201a0fe3ed634d7544b5d2

- Related Changesets
occt: master 86766b0e
Timestamp: 2014-10-23 10:15:59
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025381: Visualization - XCAFPrs_AISObject ignores visibility flag for sub-shapes

Test case for issue CR25381
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/AIS/AIS_ColoredShape.hxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_AISObject.cxx Diff ] File ]
add - tests/bugs/xde/bug25381 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-15 16:52 Pawel New Issue
2014-10-15 16:52 Pawel Assigned To => kgv
2014-10-15 16:52 Pawel File Added: comparison_671_680.png
2014-10-15 16:52 Pawel File Added: test_assembly_invisible.step
2014-10-15 17:05 kgv Relationship added related to 0025010
2014-10-15 17:11 kgv Summary Visibility flag ignored for assemblies => Visualization - XCAFPrs_AISObject ignores visibility flag for sub-shapes
2014-10-15 17:11 kgv Description Updated View Revisions
2014-10-15 17:11 kgv Steps to Reproduce Updated View Revisions
2014-10-15 17:31 git Note Added: 0033152
2014-10-15 17:32 kgv Note Added: 0033153
2014-10-15 17:32 kgv Assigned To kgv => san
2014-10-15 17:32 kgv Status new => resolved
2014-10-15 17:32 kgv Product Version 6.8.0 =>
2014-10-17 13:25 san Note Added: 0033254
2014-10-17 13:25 san Assigned To san => bugmaster
2014-10-17 13:25 san Status resolved => reviewed
2014-10-17 18:04 mkv Assigned To bugmaster => mkv
2014-10-17 19:01 git Note Added: 0033284
2014-10-21 17:14 mkv Note Added: 0033504
2014-10-21 17:15 mkv Test case number => bugs xde(005) bug25381
2014-10-21 17:15 mkv Assigned To mkv => bugmaster
2014-10-21 17:15 mkv Status reviewed => tested
2014-10-21 17:16 git Note Added: 0033505
2014-10-24 15:38 bugmaster Changeset attached => occt master 86766b0e
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 user533 Fixed in Version => 6.8.0
2014-11-11 13:02 user533 Status verified => closed
2014-11-12 09:03 git Note Added: 0034269
2017-08-28 19:13 kgv Relationship added related to 0029067


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker